slang-curl for Debian
---------------------

A simple example of the S-Lang cURL module use is provided by a S-Lang
script called translate, which sends a user provided phrase to
http://babelfish.altavista.com for translation.  It is run like this:

    slsh /usr/share/doc/slang-curl/examples/translate \
      [--to lang-out] lang-in [phrase|-]

For example, to translate `Hola Mundo' from Spanish to English use:

    slsh /usr/share/doc/slang-curl/examples/translate Spanish Hola Mundo

and to translate `Hola Mundo' to French use:

    slsh /usr/share/doc/slang-curl/examples/translate \
      --to French Spanish Hola Mundo

It is also possible to use the script in a pipeline to play word games:

    slsh /usr/share/doc/slang-curl/examples/translate \
       --to spanish English Boy meets girl \
       | slsh /usr/share/doc/slang-curl/examples/translate \
           --to French Spanish \
           | slsh /usr/share/doc/slang-curl/examples/translate French

You can also copy the script somewhere in your PATH and chmod +x it, avoiding
the long `slsh /usr/share/doc/slang-curl/examples/translate' above.

 -- Rafael Laboissiere <rafael@debian.org>, Thu Oct 27 17:00:47 CEST 2005


